Subject: RE: bug#12345: 24.2.50; doc string of `text-scale-adjust'

From: "Drew Adams" <[email-masked]>
Date: Tue, 11 Sep 2012 07:39:43 -0700

> from emacs -q, try to edebug-defun `text-scale-adjust', 
> then use `C-x C-+', then `c' in the debug loop, then quit.
> 
> The temporary keymap is not temporary anymore, and the `-'
> and `+' keys are still bounded to `text-scale-adjust'.
> 
> Surely something weird when `set-temporary-overlay-map' is 
> called from within a debug loop?

Debugging is notoriously difficult when events are read.  I usually have to
resort to adding `message' calls or similar.

See also bug (regression) #12232, which similarly was changed recently to use
`set-temporary-overlay-map' (and to use lexical binding), and which since that
change leads to the error "Lisp nesting exceeds `max-lisp-eval-depth'".

No one has responded to that bug at all so far.  I located the commit that
introduced the regression, but debugging it further and fixing it is beyond me.